%define upstream_name    Crypt-Password
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Unix-style, Variously Hashed Passwords
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This is just a wrapper for perl's 'crypt()', which can do everything you
would probably want to do to store a password, but this is to make usage
easier. The object stringifies to the return string of the crypt()
function, which is (on *Linux/glibc* et al) in Modular Crypt Format:

 # scalar($hashed):
 #    v digest   v hash ->
 #   $5$%RK2BU%L$aFZd1/4Gpko/sJZ8Oh.ZHg9UvxCjkH1YYoLZI6tw7K8
 #      ^ salt ^

That you can store, etc, retrieve then use it in 'check_password()' to
validate a login, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.280.0-2.mga10
+ Revision: 2217451
- Mageia 10 Mass Rebuild

* Tue Jan 17 2023 tv <tv> 0.280.0-1.mga9
+ Revision: 1933964
- BR perl(inc::Module::Install)
- imported package perl-Crypt-Password


* Mon Jan 16 2023 cpan2dist 0.28-1mga
- initial mageia release, generated with cpan2dist
